Package bitel.billing.server.util

# Class AbstractSession

java.lang.Object
bitel.billing.server.util.AbstractSession

Direct Known Subclasses:
  `AbstractTerminalSession`

    public abstract class AbstractSession
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `host` |
  `protected int` | `port` |
  `protected java.lang.String` | `sourceHost` |
  `protected int` | `sourcePort` |
  `protected int` | `timeout` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AbstractSession​(java.lang.String host, int port)` |
  `AbstractSession​(java.lang.String host, int port, java.lang.String sourceHost, int sourcePort)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract java.lang.String` | `connect()` | Устанавливает соединение с удаленным хостом
  `abstract void` | `disconnect()` | Закрывает соединение с удаленным хостом
  `abstract java.lang.String` | `doCommand​(java.lang.String command)` | Отправляет на удаленный хост команду и считывает ответ
  `int` | `getTimeout()` | Timeout, после которого считается что ответ на исполнения команду получен
  `void` | `setTimeout​(int timeout)` | Установка timeout для полчения ответа на команду

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### host

    protected java.lang.String host

  - ### port

    protected int port

  - ### timeout

    protected int timeout

  - ### sourceHost

    protected java.lang.String sourceHost

  - ### sourcePort

    protected int sourcePort

- ## Constructor Details

  - ### AbstractSession

    public AbstractSession​(java.lang.String host, int port)

  - ### AbstractSession

    public AbstractSession​(java.lang.String host, int port, java.lang.String sourceHost, int sourcePort)

- ## Method Details

  - ### doCommand

    public abstract java.lang.String doCommand​(java.lang.String command) throws java.lang.Exception
    Отправляет на удаленный хост команду и считывает ответ
    Parameters:
      `command` - команда отсылаемая на удаленный хост
    Returns:
    Throws:
      `java.lang.Exception`

  - ### connect

    public abstract java.lang.String connect() throws java.lang.Exception
    Устанавливает соединение с удаленным хостом
    Throws:
      `java.lang.Exception`

  - ### disconnect

    public abstract void disconnect() throws ru.bitel.bgbilling.common.BGException
    Закрывает соединение с удаленным хостом
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTimeout

    public int getTimeout()
    Timeout, после которого считается что ответ на исполнения команду получен
    Returns:

  - ### setTimeout

    public void setTimeout​(int timeout) throws java.net.SocketException
    Установка timeout для полчения ответа на команду
    Parameters:
      `timeout` -
    Throws:
      `java.net.SocketException`